juzu.io

## Class AsyncStreamable

- java.lang.Object
- - juzu.io.AsyncStreamable

- All Implemented Interfaces:
    Closeable, Appendable, AutoCloseable, Streamable

      public class AsyncStreamable
      extends Object
      implements Streamable, Appendable, Closeable

  Basic implementation of an asynchronous streamable. This implementation is basic for now:
  - Use synchronized blocks.
  - Does not do any kind of control flow.
  Author:
    Julien Viet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface juzu.io.Streamable

      `Streamable.Bytes, Streamable.CharSequence, Streamable.InputStream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncStreamable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncStreamable` | `append(char c)`
    `AsyncStreamable` | `append(CharSequence csq)`
    `AsyncStreamable` | `append(CharSequence csq, int start, int end)`
    `void` | `close()`
    `void` | `send(Stream stream)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncStreamable

          public AsyncStreamable()

  - ### Method Detail

    - #### send

          public void send(Stream stream)
                    throws IOException

      Specified by:
        `send` in interface `Streamable`
      Throws:
        `IOException`

    - #### append

          public AsyncStreamable append(CharSequence csq)
                                 throws IOException

      Specified by:
        `append` in interface `Appendable`
      Throws:
        `IOException`

    - #### append

          public AsyncStreamable append(CharSequence csq,
                               int start,
                               int end)
                                 throws IOException

      Specified by:
        `append` in interface `Appendable`
      Throws:
        `IOException`

    - #### append

          public AsyncStreamable append(char c)
                                 throws IOException

      Specified by:
        `append` in interface `Appendable`
      Throws:
        `IOException`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.